cURL with fictitious data
curl --request GET \
--url https://api.example.com/cob-hub/v1/brcodes/static \
--header 'Authorization: Bearer demo-access-token'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/cob-hub/v1/brcodes/static"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/cob-hub/v1/brcodes/static', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/cob-hub/v1/brcodes/static"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"amount": "100.50",
"createdAt": "2026-05-06T10:30:00Z",
"currency": "BRL",
"description": "Pagamento do pedido 12345",
"emvPayload": "00020101021126330014br.gov.bcb.pix0111390533447055204000053039865406100.505802BR5910Loja Teste6007Goiania62110507TX123456304AA54",
"id": "0196a7b2-1c3d-7e4f-8a90-1234567890ab",
"keyType": "CPF",
"keyValue": "39053344705",
"merchantCity": "Goiania",
"merchantName": "Loja Teste",
"organizationId": "0196a7b2-2d4e-7f50-9b01-234567890abc",
"status": "ACTIVE",
"type": "STATIC",
"updatedAt": "2026-05-06T10:30:00Z"
}
],
"limit": 20,
"page": 1,
"total": 1
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}List static BR Codes
Returns a page-based list of static BR Codes with optional key/status filters.
GET
/
brcodes
/
static
cURL with fictitious data
curl --request GET \
--url https://api.example.com/cob-hub/v1/brcodes/static \
--header 'Authorization: Bearer demo-access-token'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/cob-hub/v1/brcodes/static"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/cob-hub/v1/brcodes/static', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/cob-hub/v1/brcodes/static"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"amount": "100.50",
"createdAt": "2026-05-06T10:30:00Z",
"currency": "BRL",
"description": "Pagamento do pedido 12345",
"emvPayload": "00020101021126330014br.gov.bcb.pix0111390533447055204000053039865406100.505802BR5910Loja Teste6007Goiania62110507TX123456304AA54",
"id": "0196a7b2-1c3d-7e4f-8a90-1234567890ab",
"keyType": "CPF",
"keyValue": "39053344705",
"merchantCity": "Goiania",
"merchantName": "Loja Teste",
"organizationId": "0196a7b2-2d4e-7f50-9b01-234567890abc",
"status": "ACTIVE",
"type": "STATIC",
"updatedAt": "2026-05-06T10:30:00Z"
}
],
"limit": 20,
"page": 1,
"total": 1
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Authorizations
JWT bearer token issued by the identity provider.
Query Parameters
Page number (1-based, default 1)
Example:
"1"
Rows per page (default 20, max 100)
Example:
"20"
Filter by Pix key value (exact match)
Filter by status (ACTIVE, CANCELLED)
Example:
"ACTIVE"
Was this page helpful?

